# A device group

GET /api/agent/teams/{id}/groups/{groupId}. Required scopes: teams:read.

HTML: https://notify.belweave.ai/docs/api/getTeamsIdGroupsGroupId

Required scopes: `teams:read`

```http
GET /api/agent/teams/{id}/groups/{groupId}
Authorization: Bearer ntf_your_token
```

## Operation schema

```json
{
  "summary": "A device group",
  "operationId": "getTeamsIdGroupsGroupId",
  "security": [
    {
      "bearer": [
        "teams:read"
      ]
    }
  ],
  "x-notify-scopes": [
    "teams:read"
  ],
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "schema": {
        "type": "string"
      },
      "required": true
    },
    {
      "name": "groupId",
      "in": "path",
      "schema": {
        "type": "string"
      },
      "required": true
    }
  ],
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "group": {
                "$ref": "#/components/schemas/DeviceGroup"
              }
            },
            "required": [
              "group"
            ]
          }
        }
      }
    },
    "400": {
      "description": "Invalid request",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "401": {
      "description": "Missing, unknown, revoked, or expired token",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "403": {
      "description": "The token lacks a required scope or the account lacks permission",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "404": {
      "description": "Not found for this account",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}
```

Resolve schema references against [OpenAPI](https://notify.belweave.ai/openapi.json).
